Get sender account details
curl --request GET \
--url https://api.coldsend.pro/api/public/v1/sender-accounts/{inbox_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coldsend.pro/api/public/v1/sender-accounts/{inbox_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coldsend.pro/api/public/v1/sender-accounts/{inbox_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coldsend.pro/api/public/v1/sender-accounts/{inbox_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coldsend.pro/api/public/v1/sender-accounts/{inbox_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coldsend.pro/api/public/v1/sender-accounts/{inbox_id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coldsend.pro/api/public/v1/sender-accounts/{inbox_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"inbox_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_address": "<string>",
"display_name": "<string>",
"inbox_type": "<string>",
"overall_status": "<string>",
"daily_limit": 123,
"emails_sent_today": 123,
"health_score": 123,
"created_at": "<string>",
"domain": {
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_name": "<string>"
},
"smtp_host": "<string>",
"smtp_port": 123,
"smtp_use_tls": true,
"imap_host": "<string>",
"imap_port": 123,
"imap_use_ssl": true,
"oauth_provider": "<string>",
"oauth_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Sender Accounts
Get sender account details
Get detailed information about a specific sender account
GET
/
api
/
public
/
v1
/
sender-accounts
/
{inbox_id}
Get sender account details
curl --request GET \
--url https://api.coldsend.pro/api/public/v1/sender-accounts/{inbox_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coldsend.pro/api/public/v1/sender-accounts/{inbox_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coldsend.pro/api/public/v1/sender-accounts/{inbox_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coldsend.pro/api/public/v1/sender-accounts/{inbox_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coldsend.pro/api/public/v1/sender-accounts/{inbox_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coldsend.pro/api/public/v1/sender-accounts/{inbox_id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coldsend.pro/api/public/v1/sender-accounts/{inbox_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"inbox_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_address": "<string>",
"display_name": "<string>",
"inbox_type": "<string>",
"overall_status": "<string>",
"daily_limit": 123,
"emails_sent_today": 123,
"health_score": 123,
"created_at": "<string>",
"domain": {
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_name": "<string>"
},
"smtp_host": "<string>",
"smtp_port": 123,
"smtp_use_tls": true,
"imap_host": "<string>",
"imap_port": 123,
"imap_use_ssl": true,
"oauth_provider": "<string>",
"oauth_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API key with format cs_live_xxx
Path Parameters
Sender account ID
Response
Sender account retrieved successfully
Detailed sender account response.
Inbox ID
Email address
Display name
Inbox type
Overall status
Daily sending limit
Emails sent today
Health score (0-100)
Creation timestamp
Domain info (for ColdSend inboxes)
Show child attributes
Show child attributes
SMTP host (for workspace inboxes)
SMTP port
Whether TLS is enabled
IMAP host (for workspace inboxes)
IMAP port
Whether SSL is enabled
OAuth provider if connected via OAuth
OAuth configuration ID if using private infrastructure
Last update timestamp
Was this page helpful?

